%define oname   daemons

Name:       ruby-%{oname}
Version:    1.1.2
Release:    %mkrel 1
Summary:    A toolkit to create and control daemons in different ways
License:    BSD and Ruby License
Group:      Development/Ruby
URL:        http://daemons.rubyforge.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Daemons provides an easy way to wrap existing ruby scripts (for example
a self-written server) to be run as a daemon and to be controlled by simple
start/stop/restart commands. You can also call blocks as daemons and
control them from the parent or just daemonize the current process. Besides
this basic functionality, daemons offers many advanced features like
exception backtracing and logging (in case your ruby script crashes) and
monitoring and automatic restarting of your processes if they crash.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc examples
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Releases
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/TODO
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Sun Apr 17 2011 shikamaru <shikamaru> 1.1.2-1.mga1
+ Revision: 87152
- new version 1.1.2

* Sat Feb 12 2011 shikamaru <shikamaru> 1.1.0-2.mga1
+ Revision: 50921
- imported package ruby-daemons


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.1.0-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 579409
- new release: 1.1.0
- don't install gem archive
- remove manual ruby dependency

* Tue Feb 02 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.10-1mdv2010.1
+ Revision: 499399
- import ruby-daemons


* Mon Feb  1 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.10
- initial release
